import { _decorator, Component, Node } from 'cc';
import { ManagerType } from '../data-flow/TopLevelManager';

export interface IGameDataSaver 
{
    fn_LoadSavedData() : any;
    fn_SaveNewData(data: any);
}

export interface ISaveInfoConnector
{
    fn_LoadSavedData<T>(type: ManagerType) ;
    fn_SaveNewData<T>(data: any, type: ManagerType);
}

